Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.security.authorization
Interface RoleEditorMBean

All Superinterfaces:
  weblogic.descriptor.DescriptorBean, RoleReaderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

All Known Subinterfaces:
  DefaultRoleMapperMBean, weblogic.management.security.authorization.RoleAuxiliaryMBean

public interface RoleEditorMBean
extends RoleReaderMBean

Provides a set of methods for creating, editing, and removing policies. An Authorization-provider MBean can optionally extend this MBean. The WebLogic Server Administration Console detects when an Authorization provider extends this MBean and automatically provides a GUI for using these methods.

### Deprecation of MBeanHome and Type-Safe Interfaces

In addition to being used as a base class that provides functionality to security provider MBeans, JMX applications can use this class directly as a type-safe interface. When used as a type-safe interface, a JMX application imports this class and accesses it through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, JMX applications that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `createRole(String resourceId, String roleName, String expression)` Creates role for a resource.
`void` | `removeRole(String resourceId, String roleName)` Removes a role from a resource.
`void` | `setRoleExpression(String resourceId, String roleName, String expression)` Sets the policy expression for a role.

Methods inherited from interface weblogic.management.security.authorization.RoleReaderMBean
`getRoleExpression, listRolesForResource, roleExists`

Methods inherited from interface weblogic.management.commo.StandardInterface
`getName, setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Method Detail

### createRole

    public void createRole(String resourceId,
                           String roleName,
                           String expression)
                    throws AlreadyExistsException,
                           CreateException

  Creates role for a resource.

  Parameters:
    `resourceId` - - The resource that scopes the new role. Each resource has its predefined 'hierachy'. This new role is applicable to all of the given resouce's descendants if any. A null indicates a global role, no scoping resource, which applies to all resources within the container.
    `roleName` - - The name of the role that this method creates. A null value will trigger NullPointerException.
    `expression` - - The expression policy designates which user or group having this named 'role'. A null value indicates this role is not granted to anyone.
  Throws:
    `AlreadyExistsException`
    `CreateException`

### removeRole

    public void removeRole(String resourceId,
                           String roleName)
                    throws NotFoundException,
                           RemoveException

  Removes a role from a resource.

  Parameters:
    `resourceId` - - The resource that scopes the role. Each role has a scoping resource. A null indicates a global role.
    `roleName` - - The role that this method removes. A null value will trigger NullPointerException.
  Throws:
    `NotFoundException`
    `RemoveException`

### setRoleExpression

    public void setRoleExpression(String resourceId,
                                  String roleName,
                                  String expression)
                           throws NotFoundException,
                                  CreateException

  Sets the policy expression for a role.

  Parameters:
    `resourceId` - - The resource that scopes the new role. Each resource has its predefined 'hierachy'. This role is applicable to all of the given resouce's descendants if any. A null indicates a global role, no scoping resource, which applies to all resources within the container.
    `roleName` - - The name of the role for which this method replaces a policy. A null value will trigger NullPointerException.
    `expression` - - The expression policy designates which user or group having this named 'role'. A null value indicates this role is not granted to anyone.
  Throws:
    `NotFoundException`
    `CreateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD